[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

request migration of gnustep-base 1.16.1-2lenny1 from t-p-u to lenny



I uploaded an update for gnustep-base to testing-proposed-updates the
other day.  It looks like it has been built on all lenny architectures
except for: hppa, ia64, and sparc, but I'm going to be leaving on
vacation soon, so I can't wait until they're all built before asking
for the migration.

The update fixes grave bug #489279, which is basically a 2-line
change, plus a grammatical fix in a comment in debian/rules.  Here is
the interdiff between 1.16.1-2lenny1 and 1.16.1-2 (copy-and-pasted from
a terminal, so the spacing and line wrapping is messed up):

diff -u gnustep-base-1.16.1/debian/changelog
gnustep-base-1.16.1/debian/changelog
--- gnustep-base-1.16.1/debian/changelog
+++ gnustep-base-1.16.1/debian/changelog
@@ -1,3 +1,12 @@
+gnustep-base (1.16.1-2lenny1) testing; urgency=low
+
+  * debian/control: Build-depend against texlive-base, texlive-latex-base
+    instead of texlive-base-bin.
+  * debian/rules: Use the right variable for the info document directory.
+    (Thanks to Yavor.) (Closes: #489279)
+
+ -- Hubert Chathi <uhoreg@debian.org>  Tue, 12 Aug 2008 12:31:43 -0400
+
 gnustep-base (1.16.1-2) unstable; urgency=low
 
   * Upload to unstable.
diff -u gnustep-base-1.16.1/debian/control gnustep-base-1.16.1/debian/control
--- gnustep-base-1.16.1/debian/control
+++ gnustep-base-1.16.1/debian/control
@@ -5,7 +5,7 @@
 Uploaders: Hubert Chathi <uhoreg@debian.org>
 Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 5), gobjc (>= 4:4.2), gnustep-make (>=
2.0.6), libffcall1-dev [alpha amd64 hppa hurd-i386 i386 ia64
kfreebsd-amd64 kfreebsd-i386 knetbsd-i386 m68k mips mipsel powerpc
ppc64 s390 sparc], libffi-dev (>= 3.0.5) [alpha amd64 arm armel armeb
hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-
i386 knetbsd-i386 m68k mips mipsel powerpc ppc64 s390 sparc],
libxml2-dev, libxslt1-dev, libgnutls-dev, zlib1g-dev, m4,
libavahi-compat-libdnssd-dev, libkvm-dev [kfreebsd-i386 kfreebsd-amd64
knetbsd-i386]
-Build-Depends-Indep: texi2html, texinfo, texlive-base-bin, xml-core
+Build-Depends-Indep: texi2html, texinfo, texlive-base,
texlive-latex-base, xml-core
 Build-Conflicts: libgmp3-dev

 Package: gnustep-base-common
diff -u gnustep-base-1.16.1/debian/control.m4 gnustep-base-1.16.1/debian/control.m4
--- gnustep-base-1.16.1/debian/control.m4
+++ gnustep-base-1.16.1/debian/control.m4
@@ -5,7 +5,7 @@
 Uploaders: Hubert Chathi <uhoreg@debian.org>
 Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 5), gobjc (>= V_OBJC), gnustep-make (>=
V_MAKE), libffcall1-dev [FFCALL_ARCHS], libffi-dev (>= 3.0.5)
[FFI_ARCHS], libxml2-dev, libxslt1-dev, libgnutls-dev, zlib1g-dev, m4,
libavahi-compat-libdnssd-dev, libkvm-dev [KVM_ARCHS]
-Build-Depends-Indep: texi2html, texinfo, texlive-base-bin, xml-core
+Build-Depends-Indep: texi2html, texinfo, texlive-base,
texlive-latex-base, xml-core Build-Conflicts: libgmp3-dev
 
 Package: gnustep-base-common
diff -u gnustep-base-1.16.1/debian/rules
gnustep-base-1.16.1/debian/rules --- gnustep-base-1.16.1/debian/rules
+++ gnustep-base-1.16.1/debian/rules
@@ -227,7 +227,7 @@
 debian/build-doc-stamp: debian/configure-stamp build-shared
        dh_testdir
 
-       @: # Build main doc.  Make autogsdoc can find the libraries.
+       @: # Build main doc.  Make sure autogsdoc can find the
libraries.
        LD_LIBRARY_PATH=$(CURDIR)/Source/obj:$$LD_LIBRARY_PATH \
          gs_make -C Documentation messages=yes
 
@@ -274,7 +274,7 @@
                rm $$file ; done
 
        @: # remove info doc
-       rm -rf $(d_doc)/$(GNUSTEP_SYSTEM_INFO)
+       rm -rf $(d_doc)/$(GNUSTEP_SYSTEM_DOC_INFO)
 
        @: # symlink
        dh_installdirs -p$(p_doc) usr/share/doc/$(p_com)


This is my first time using t-p-u, so hopefully I didn't mess anything
up. ;)

-- 
Hubert Chathi <uhoreg@debian.org> -- Jabber: hubert@uhoreg.ca
PGP/GnuPG key: 1024D/124B61FA         http://www.uhoreg.ca/
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA


Reply to: